Name:		gpsim
Version:	0.21.11
Release:	1%{?dist}
Summary:	A simulator for Microchip (TM) PIC (TM) microcontrollers
Summary(fr):	Un simulateur pour les microcontrôleurs PIC (TM) Microchip (TM)

Group:		Development/Debuggers
License:	GPL
URL:		http://www.dattalo.com/gnupic/gpsim.html
Source:		http://dl.sf.net/gpsim/gpsim-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	gtk+extra
BuildRequires:	gtk+extra-devel, flex, readline-devel

%description
gpsim is a simulator for Microchip (TM) PIC (TM) microcontrollers.
It supports most devices in Microchip's 12-bit, 14bit, and 16-bit
core families. In addition, gpsim supports dynamically loadable
modules such as LED's, LCD's, resistors, etc. to extend the simulation
environment beyond the PIC.

%description -l fr
gpsim est un simulateur pour les microcontrôleurs PIC (TM) Microchip (TM).
Il gère la plupart des microcontrôleurs des familles 12, 14 et 16 bits.
gpsim gère également les modules chargeables dynamiquement tels que les LED,
afficheurs LCD, résistances, etc. afin d'étendre l'environnement
de simulation des PIC.

%package	devel
Summary:	Libraries and files headers for gpsim
Summary(fr):	Bibliothèques et fichiers d'en-têtes pour gpsim
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package includes the static libraries, header files,
and documentation for compiling programs that use the gpsim library.

%description -l fr devel
Le paquetage %{name}-devel contient les bibliothèques statiques, les fichiers
d'en-têtes et la documentation nécessaires à la compilation des programmes
qui utilisent la bibliothèque gpsim.

%prep
%setup -q
%{__chmod} a-x examples/12bit/p12x.inc examples/14bit/sine.asm

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS COPYING ChangeLog HISTORY NEWS
%doc README README.EXAMPLES README.MODULES TODO
%doc doc/gpsim.lyx doc/gpsim.pdf
%doc examples/
%{_bindir}/*
%{_libdir}/*.so.*


%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%{_includedir}/*

%changelog
* Wed Oct 5 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.11-1
  - New version
  - Improve download url

* Fri Sep 30 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.4-5
  - Improve prep section to make rpmlint happy
  - Contributions of Jose Pedro Oliveira <jpo[AT]di[DOT]uminho[DOT]pt>
    Thanks to him.

* Mon Sep 19 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.4-4
  - Add missing a rm -rf RPM_BUILD_ROOT statement in the install section

* Thu Sep 15 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.4-3
  - Exclude .la file
  - Add examples

* Tue Sep 13 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.4-2
  - License is GPL
  - Add french summary and description

* Mon Sep 12 2005 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.21.4-1
  - New version

* Mon Nov 8 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.21.2-0.fdr.2
  - Add BuildRequires flex, readline-devel

* Wed Oct 27 2004 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0:0.21.2-0.fdr.1
  - Initial Fedora RPM
